%global dlrn_nvr 1.4.1-2.20220422005549.e0a869c
%global dlrn 1
%define upstream_version 1.4.1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-pacemaker
Version: 1.4.1
Release: 2.20220422005549.e0a869c%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-pacemaker

Source0: 1.4.1-2.20220422005549.e0a869c.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=e0a869c4bb6f2351b1a85417d62062e1cfc4eaab

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Puppet module for Pacemaker

%prep
%setup -q -n openstack-pacemaker-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Thu Apr 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20220422005549.e0a869c
- Update patches
- Replace hiera by lookup

* Thu Apr 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-2.20220421165105.f003a53
- Update patches
- Add 'Release Notes' in README

* Tue Apr 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.0-2.20220413005225.91eb91a
- Update patches
- Bump metadata 1.4.0 for tripleo release

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-2.20220127005500.e0fa810
- Update patches
- Do not install fence-agent packages in base manifests
- Fix duplicate declaration of package resource

* Sat Dec 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-2.20211225224834.9f2e6f1
- Update patches
- Only install required/supported fence agents

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-2.20211112144319.81c84d5
- Update patches
- Fix idempotency regex during scale-up check
- Replace the deprecated is_ipv6_address function

* Mon Oct 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-2.20211026005019.d3a119e
- Update patches
- Make sure we wait for the cluster before setting resource_default_op

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-2.20211016005240.fff6e02
- Update patches
- Bump tag for release

* Mon Sep 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210907004815.1cd0951
- Update patches
- Make sure we test for Promoted when looking for constraints

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210904012028.bc4cc78
- Update patches
- Support fence_kubevirt apiversion parameter
- Add support for fence_kubevirt fencing agent

* Mon Aug 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210816224811.4399c3a
- Update patches
- Fix up cluster_setup_extras usage

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210811224812.bb5e14d
- Update patches
- Remove old workarounds for broken crm_diff

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210810224808.90be0f9
- Update patches
- setup.cfg: Replace dashes with underscores
- Fix where long_description_content_type is placed

* Sat Jul 31 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210731224806.d513c63
- Update patches
- Increase the scaleup/startup tries
- Fix spec tests using the deprecated pacemaker_restart_resource? function

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210608001947.b0ea31a
- Update patches
- Update metadata to match released tag

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-2.20210528101831.6e272bf
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Make pcs resource config/show work depending on the installed pcs version

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches

* Wed Dec 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add fence_crosslink support

* Sat Nov 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix reconnect_interval on remotes with pcs 0.10

* Fri Nov 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add building containers to standalone job

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- pcs resource show and pcs stonith show are deprecated

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Update master for stable/1.1.x

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Update metadata for a release
- Fix pcs 0.10 detection for 8-stream

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add disable-http-filter option

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Convert all class usage to relative names

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add tripleo-standalone sc4 job

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Revert "Make sure we pass cluster_setup_extras when using pcs 0.10"

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix up upgrade coordination around authkey
- Retry calling backup_cib()
- Do not create stonith location constraint when there is a single node
- Make sure we pass cluster_setup_extras when using pcs 0.10

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix typo in CRMDIFF_BIN

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add support for promoted-max meta attribute

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Update Puppet requirement to >= 6.0.0

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Prepare for 1.0.0 release

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Remove support for CentOS6/RHEL6

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Remove "warning: previous definition of" warnings

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Try and reauthenticate if pcsd status $::hostname fails

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix CI for new centos8 + puppet6

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix os version test

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Update os variables

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- order pcmk_remote after Exec['wait-for-settle']

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Make pacemaker_resource serializable

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add force parameter for all pcmk_ types

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix params in pcmk remote

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Merge "Allow to disable the scaleup logic via a parameter"
- Allow to disable the scaleup logic via a parameter

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Improve scaleup debug logic

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Merge "Add support to configure pcsd bind address"
- Add support to configure pcsd bind address

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Fix missing deep_compare for fence_redfish

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Merge "Allow updating stonith levels"
- Allow updating stonith levels

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Add a more clear error message when we fail to backup cib

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches
- Pin a bunch of gems so that centos 7 with old ruby still works

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 0.7.2-2.bb223e7git
- Update patches
- Prepare for new release 0.8.0

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 0.7.2-2.854e639git
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches




